## EDBusDirectBookSkeleton EDBusDirectBookSkeleton |

## Functions

GDBusInterfaceInfo * | e_dbus_direct_book_interface_info ()
guint | e_dbus_direct_book_override_properties ()
const gchar * | e_dbus_direct_book_get_backend_path ()
gchar * | e_dbus_direct_book_dup_backend_path ()
void | e_dbus_direct_book_set_backend_path ()
const gchar * | e_dbus_direct_book_get_backend_name ()
gchar * | e_dbus_direct_book_dup_backend_name ()
void | e_dbus_direct_book_set_backend_name ()
const gchar * | e_dbus_direct_book_get_backend_config ()
gchar * | e_dbus_direct_book_dup_backend_config ()
void | e_dbus_direct_book_set_backend_config ()
void | e_dbus_direct_book_proxy_new ()
EDBusDirectBook * | e_dbus_direct_book_proxy_new_finish ()
EDBusDirectBook * | e_dbus_direct_book_proxy_new_sync ()
void | e_dbus_direct_book_proxy_new_for_bus ()
EDBusDirectBook * | e_dbus_direct_book_proxy_new_for_bus_finish ()
EDBusDirectBook * | e_dbus_direct_book_proxy_new_for_bus_sync ()
EDBusDirectBook * | e_dbus_direct_book_skeleton_new ()

## Properties

gchar * | backend-config | Read / Write
gchar * | backend-name | Read / Write
gchar * | backend-path | Read / Write

## Types and Values

struct | EDBusDirectBookIface
struct | EDBusDirectBookProxy
struct | EDBusDirectBookProxyClass
struct | EDBusDirectBookSkeleton
struct | EDBusDirectBookSkeletonClass
| EDBusDirectBook
| EDBusDirectBookProxyPrivate
| EDBusDirectBookSkeletonPrivate

## Object Hierarchy

        GInterface
        ╰── EDBusDirectBook
        GObject
        ├── GDBusInterfaceSkeleton
        │   ╰── EDBusDirectBookSkeleton
        ╰── GDBusProxy
            ╰── EDBusDirectBookProxy

## Prerequisites

EDBusDirectBook requires GObject.

## Implemented Interfaces

EDBusDirectBookProxy implements GDBusInterface, GInitable, GAsyncInitable and EDBusDirectBook.

EDBusDirectBookSkeleton implements GDBusInterface and EDBusDirectBook.

## Known Implementations

EDBusDirectBook is implemented by EDBusDirectBookProxy and EDBusDirectBookSkeleton.

## Description

## Functions

### e_dbus_direct_book_interface_info ()

    GDBusInterfaceInfo *
    e_dbus_direct_book_interface_info (void);

Gets a machine-readable description of the org.gnome.evolution.dataserver.DirectBook D-Bus interface.

#### Returns

A GDBusInterfaceInfo. Do not free.

[transfer none]

Since: 3.8

### e_dbus_direct_book_override_properties ()

    guint
    e_dbus_direct_book_override_properties
                                   (GObjectClass *klass,
                                    guint property_id_begin);

Overrides all GObject properties in the EDBusDirectBook interface for a concrete class. The properties are overridden in the order they are defined.

#### Parameters

klass | The class structure for a GObject-derived class. |
property_id_begin | The property id to assign to the first overridden property. |

#### Returns

The last property id.

Since: 3.8

### e_dbus_direct_book_get_backend_path ()

    const gchar *
    e_dbus_direct_book_get_backend_path (EDBusDirectBook *object);

Gets the value of the "BackendPath" D-Bus property.

Since this D-Bus property is readable, it is meaningful to use this function on both the client- and service-side.

The returned value is only valid until the property changes so on the client-side it is only safe to use this function on the thread where `object` was constructed. Use `e_dbus_direct_book_dup_backend_path()` if on another thread.

[skip]

#### Parameters

object | A EDBusDirectBook. |

#### Returns

The property value or `NULL` if the property is not set. Do not free the returned value, it belongs to `object` .

[transfer none]

Since: 3.8

### e_dbus_direct_book_dup_backend_path ()

    gchar *
    e_dbus_direct_book_dup_backend_path (EDBusDirectBook *object);

Gets a copy of the "BackendPath" D-Bus property.

Since this D-Bus property is readable, it is meaningful to use this function on both the client- and service-side.

[skip]

#### Parameters

object | A EDBusDirectBook. |

#### Returns

The property value or `NULL` if the property is not set. The returned value should be freed with `g_free()`.

[transfer full]

Since: 3.8

### e_dbus_direct_book_set_backend_path ()

    void
    e_dbus_direct_book_set_backend_path (EDBusDirectBook *object,
                                         const gchar *value);

Sets the "BackendPath" D-Bus property to `value` .

Since this D-Bus property is not writable, it is only meaningful to use this function on the service-side.

[skip]

#### Parameters

object | A EDBusDirectBook. |
value | The value to set. |

Since: 3.8

### e_dbus_direct_book_get_backend_name ()

    const gchar *
    e_dbus_direct_book_get_backend_name (EDBusDirectBook *object);

Gets the value of the "BackendName" D-Bus property.

Since this D-Bus property is readable, it is meaningful to use this function on both the client- and service-side.

The returned value is only valid until the property changes so on the client-side it is only safe to use this function on the thread where `object` was constructed. Use `e_dbus_direct_book_dup_backend_name()` if on another thread.

[skip]

#### Parameters

object | A EDBusDirectBook. |

#### Returns

The property value or `NULL` if the property is not set. Do not free the returned value, it belongs to `object` .

[transfer none]

Since: 3.8

### e_dbus_direct_book_dup_backend_name ()

    gchar *
    e_dbus_direct_book_dup_backend_name (EDBusDirectBook *object);

Gets a copy of the "BackendName" D-Bus property.

Since this D-Bus property is readable, it is meaningful to use this function on both the client- and service-side.

[skip]

#### Parameters

object | A EDBusDirectBook. |

#### Returns

The property value or `NULL` if the property is not set. The returned value should be freed with `g_free()`.

[transfer full]

Since: 3.8

### e_dbus_direct_book_set_backend_name ()

    void
    e_dbus_direct_book_set_backend_name (EDBusDirectBook *object,
                                         const gchar *value);

Sets the "BackendName" D-Bus property to `value` .

Since this D-Bus property is not writable, it is only meaningful to use this function on the service-side.

[skip]

#### Parameters

object | A EDBusDirectBook. |
value | The value to set. |

Since: 3.8

### e_dbus_direct_book_get_backend_config ()

    const gchar *
    e_dbus_direct_book_get_backend_config (EDBusDirectBook *object);

Gets the value of the "BackendConfig" D-Bus property.

Since this D-Bus property is readable, it is meaningful to use this function on both the client- and service-side.

The returned value is only valid until the property changes so on the client-side it is only safe to use this function on the thread where `object` was constructed. Use `e_dbus_direct_book_dup_backend_config()` if on another thread.

[skip]

#### Parameters

object | A EDBusDirectBook. |

#### Returns

The property value or `NULL` if the property is not set. Do not free the returned value, it belongs to `object` .

[transfer none]

Since: 3.8

### e_dbus_direct_book_dup_backend_config ()

    gchar *
    e_dbus_direct_book_dup_backend_config (EDBusDirectBook *object);

Gets a copy of the "BackendConfig" D-Bus property.

Since this D-Bus property is readable, it is meaningful to use this function on both the client- and service-side.

[skip]

#### Parameters

object | A EDBusDirectBook. |

#### Returns

The property value or `NULL` if the property is not set. The returned value should be freed with `g_free()`.

[transfer full]

Since: 3.8

### e_dbus_direct_book_set_backend_config ()

    void
    e_dbus_direct_book_set_backend_config (EDBusDirectBook *object,
                                           const gchar *value);

Sets the "BackendConfig" D-Bus property to `value` .

Since this D-Bus property is not writable, it is only meaningful to use this function on the service-side.

[skip]

#### Parameters

object | A EDBusDirectBook. |
value | The value to set. |

Since: 3.8

### e_dbus_direct_book_proxy_new ()

    void
    e_dbus_direct_book_proxy_new (GDBusConnection *connection,
                                  GDBusProxyFlags flags,
                                  const gchar *name,
                                  const gchar *object_path,
                                  GCancellable *cancellable,
                                  GAsyncReadyCallback callback,
                                  gpointer user_data);

Asynchronously creates a proxy for the D-Bus interface org.gnome.evolution.dataserver.DirectBook. See `g_dbus_proxy_new()` for more details.

When the operation is finished, `callback` will be invoked in the thread-default main loop of the thread you are calling this method from. You can then call `e_dbus_direct_book_proxy_new_finish()` to get the result of the operation.

See `e_dbus_direct_book_proxy_new_sync()` for the synchronous, blocking version of this constructor.

#### Parameters

connection | A GDBusConnection. |
flags | Flags from the GDBusProxyFlags enumeration. |
name | A bus name (well-known or unique) or `NULL` if `connection` is not a message bus connection. | [allow-none]
object_path | An object path. |
cancellable | A GCancellable or `NULL`. | [allow-none]
callback | A GAsyncReadyCallback to call when the request is satisfied. |
user_data | User data to pass to `callback` . |

Since: 3.8

### e_dbus_direct_book_proxy_new_finish ()

    EDBusDirectBook *
    e_dbus_direct_book_proxy_new_finish (GAsyncResult *res,
                                         GError **error);

Finishes an operation started with `e_dbus_direct_book_proxy_new()`.

#### Parameters

res | The GAsyncResult obtained from the GAsyncReadyCallback passed to `e_dbus_direct_book_proxy_new()`. |
error | Return location for error or `NULL` |

#### Returns

The constructed proxy object or `NULL` if `error` is set.

[transfer full][type EDBusDirectBookProxy]

Since: 3.8

### e_dbus_direct_book_proxy_new_sync ()

    EDBusDirectBook *
    e_dbus_direct_book_proxy_new_sync (GDBusConnection *connection,
                                       GDBusProxyFlags flags,
                                       const gchar *name,
                                       const gchar *object_path,
                                       GCancellable *cancellable,
                                       GError **error);

Synchronously creates a proxy for the D-Bus interface org.gnome.evolution.dataserver.DirectBook. See `g_dbus_proxy_new_sync()` for more details.

The calling thread is blocked until a reply is received.

See `e_dbus_direct_book_proxy_new()` for the asynchronous version of this constructor.

#### Parameters

connection | A GDBusConnection. |
flags | Flags from the GDBusProxyFlags enumeration. |
name | A bus name (well-known or unique) or `NULL` if `connection` is not a message bus connection. | [allow-none]
object_path | An object path. |
cancellable | A GCancellable or `NULL`. | [allow-none]
error | Return location for error or `NULL` |

#### Returns

The constructed proxy object or `NULL` if `error` is set.

[transfer full][type EDBusDirectBookProxy]

Since: 3.8

### e_dbus_direct_book_proxy_new_for_bus ()

    void
    e_dbus_direct_book_proxy_new_for_bus (GBusType bus_type,
                                          GDBusProxyFlags flags,
                                          const gchar *name,
                                          const gchar *object_path,
                                          GCancellable *cancellable,
                                          GAsyncReadyCallback callback,
                                          gpointer user_data);

Like `e_dbus_direct_book_proxy_new()` but takes a GBusType instead of a GDBusConnection.

When the operation is finished, `callback` will be invoked in the thread-default main loop of the thread you are calling this method from. You can then call `e_dbus_direct_book_proxy_new_for_bus_finish()` to get the result of the operation.

See `e_dbus_direct_book_proxy_new_for_bus_sync()` for the synchronous, blocking version of this constructor.

#### Parameters

bus_type | A GBusType. |
flags | Flags from the GDBusProxyFlags enumeration. |
name | A bus name (well-known or unique). |
object_path | An object path. |
cancellable | A GCancellable or `NULL`. | [allow-none]
callback | A GAsyncReadyCallback to call when the request is satisfied. |
user_data | User data to pass to `callback` . |

Since: 3.8

### e_dbus_direct_book_proxy_new_for_bus_finish ()

    EDBusDirectBook *
    e_dbus_direct_book_proxy_new_for_bus_finish
                                   (GAsyncResult *res,
                                    GError **error);

Finishes an operation started with `e_dbus_direct_book_proxy_new_for_bus()`.

#### Parameters

res | The GAsyncResult obtained from the GAsyncReadyCallback passed to `e_dbus_direct_book_proxy_new_for_bus()`. |
error | Return location for error or `NULL` |

#### Returns

The constructed proxy object or `NULL` if `error` is set.

[transfer full][type EDBusDirectBookProxy]

Since: 3.8

### e_dbus_direct_book_proxy_new_for_bus_sync ()

    EDBusDirectBook *
    e_dbus_direct_book_proxy_new_for_bus_sync
                                   (GBusType bus_type,
                                    GDBusProxyFlags flags,
                                    const gchar *name,
                                    const gchar *object_path,
                                    GCancellable *cancellable,
                                    GError **error);

Like `e_dbus_direct_book_proxy_new_sync()` but takes a GBusType instead of a GDBusConnection.

The calling thread is blocked until a reply is received.

See `e_dbus_direct_book_proxy_new_for_bus()` for the asynchronous version of this constructor.

#### Parameters

bus_type | A GBusType. |
flags | Flags from the GDBusProxyFlags enumeration. |
name | A bus name (well-known or unique). |
object_path | An object path. |
cancellable | A GCancellable or `NULL`. | [allow-none]
error | Return location for error or `NULL` |

#### Returns

The constructed proxy object or `NULL` if `error` is set.

[transfer full][type EDBusDirectBookProxy]

Since: 3.8

### e_dbus_direct_book_skeleton_new ()

    EDBusDirectBook *
    e_dbus_direct_book_skeleton_new (void);

Creates a skeleton object for the D-Bus interface org.gnome.evolution.dataserver.DirectBook.

#### Returns

The skeleton object.

[transfer full][type EDBusDirectBookSkeleton]

Since: 3.8

## Types and Values

### struct EDBusDirectBookIface

    struct EDBusDirectBookIface {
      GTypeInterface parent_iface;

      const gchar * (*get_backend_config) (EDBusDirectBook *object);

      const gchar * (*get_backend_name) (EDBusDirectBook *object);

      const gchar * (*get_backend_path) (EDBusDirectBook *object);
    };

Virtual table for the D-Bus interface org.gnome.evolution.dataserver.DirectBook.

#### Members

GTypeInterface `parent_iface`; | The parent interface. |
`get_backend_config` () | Getter for the “backend-config” property. |
`get_backend_name` () | Getter for the “backend-name” property. |
`get_backend_path` () | Getter for the “backend-path” property. |

Since: 3.8

### struct EDBusDirectBookProxy

    struct EDBusDirectBookProxy;

The EDBusDirectBookProxy structure contains only private data and should only be accessed using the provided API.

Since: 3.8

### struct EDBusDirectBookProxyClass

    struct EDBusDirectBookProxyClass {
      GDBusProxyClass parent_class;
    };

Class structure for EDBusDirectBookProxy.

#### Members

Since: 3.8

### struct EDBusDirectBookSkeleton

    struct EDBusDirectBookSkeleton;

The EDBusDirectBookSkeleton structure contains only private data and should only be accessed using the provided API.

Since: 3.8

### struct EDBusDirectBookSkeletonClass

    struct EDBusDirectBookSkeletonClass {
      GDBusInterfaceSkeletonClass parent_class;
    };

Class structure for EDBusDirectBookSkeleton.

#### Members

Since: 3.8

### EDBusDirectBook

    typedef struct _EDBusDirectBook EDBusDirectBook;

Abstract interface type for the D-Bus interface org.gnome.evolution.dataserver.DirectBook.

Since: 3.8

### EDBusDirectBookProxyPrivate

    typedef struct _EDBusDirectBookProxyPrivate EDBusDirectBookProxyPrivate;

### EDBusDirectBookSkeletonPrivate

    typedef struct _EDBusDirectBookSkeletonPrivate EDBusDirectBookSkeletonPrivate;

## Property Details

### The `“backend-config”` property

      “backend-config”           gchar *

Represents the D-Bus property "BackendConfig".

Since the D-Bus property for this GObject property is readable but not writable, it is meaningful to read from it on both the client- and service-side. It is only meaningful, however, to write to it on the service-side.

Flags: Read / Write

Default value: NULL

Since: 3.8

### The `“backend-name”` property

      “backend-name”             gchar *

Represents the D-Bus property "BackendName".

Since the D-Bus property for this GObject property is readable but not writable, it is meaningful to read from it on both the client- and service-side. It is only meaningful, however, to write to it on the service-side.

Flags: Read / Write

Default value: NULL

Since: 3.8

### The `“backend-path”` property

      “backend-path”             gchar *

Represents the D-Bus property "BackendPath".

Since the D-Bus property for this GObject property is readable but not writable, it is meaningful to read from it on both the client- and service-side. It is only meaningful, however, to write to it on the service-side.

Flags: Read / Write

Default value: NULL

Since: 3.8